# AutoMapper
[![NPM version][npm-image]][npm-url] [![Build Status][travis-image]][travis-url] [![Coverage Status][coveralls-image]][coveralls-url]

This is a TypeScript / Javascript AutoMapper implementation. The pursuit of this implementation is to mimic both usage and functionality of the [original .NET AutoMapper library](https://github.com/AutoMapper/AutoMapper).

## What is AutoMapper?
AutoMapper is a fairly small library built to solve a deceptively complex problem - getting rid of code that mapped one object to another. This type of code is rather dreary and boring to write, so why not use a tool to do it for us?
Since most of us already are familiar with AutoMapper in .NET, our belief was there should be an somewhat similar implementation for JavaScript. Unfortunately, such library did not exist already. Well, here it finally is: an Automapper
implementation for use in TypeScript / Javascript, entirely built and tested using TypeScript.

## How do I get started?
Check out the [getting started guide](https://github.com/loedeman/AutoMapper/wiki/Getting-started). When you're done there, the [wiki](https://github.com/loedeman/AutoMapper/wiki) provides a more thorough documentation. Should you have any remarks / questions, you can get in touch with the team: we are more than happy to be of assistance. Of course, you can always follow [@AutoMapperTS](https://twitter.com/AutomapperTS) on Twitter for update notifications.

## Where can I get it?
First, install npm. Then, install [AutoMapperTS](https://www.npmjs.com/package/automapper-ts) from NPM:

[![automapper-ts @ npmjs.com](https://nodei.co/npm/automapper-ts.png?downloads=true&downloadRank=true&stars=true)](https://www.npmjs.com/package/automapper-ts)

	npm install automapper-ts

Of course, you can use Bower to install [AutoMapperTS](http://bower.io/search/?q=automapper-ts). Install Bower first. Finally, install from bower using:

	bower install automapper-ts

AutoMapper is Copyright &copy; 2016 [Bert Loedeman](http://dotbert.loedeman.nl) ([@loedeman](https://twitter.com/loedeman)) and other contributors under the [MIT license](LICENSE).

[npm-url]: https://npmjs.org/package/automapper-ts
[npm-image]: https://img.shields.io/npm/v/automapper-ts.svg?style=flat-square

[travis-url]: http://travis-ci.org/loedeman/AutoMapper
[travis-image]: https://img.shields.io/travis/loedeman/AutoMapper/master.svg?style=flat-square

[coveralls-url]: https://coveralls.io/r/loedeman/AutoMapper
[coveralls-image]: https://img.shields.io/coveralls/loedeman/AutoMapper/master.svg?style=flat-square
